## libgnt 2.14.3

=== meson_options.txt ===
option(
	'python2',
	type: 'boolean', value: true,
	description: 'Whether or not to include python support.',
)

option(
	'doc',
	type: 'boolean', value: true,
	description: 'Whether or not to build the documentation.',
)

## libgnt 2.14.1

=== debian/changelog ===
libgnt (2.14.1-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 06 Jun 2022 11:46:17 -0700

libgnt (2.14.1-1) unstable; urgency=medium

  * New upstream version 2.14.1

 -- Richard Laager <rlaager@debian.org>  Fri, 05 Feb 2021 01:11:35 -0600

libgnt (2.14.0-2) unstable; urgency=medium

  * Add debian/lintian-brush.conf
  * Re-upload as source upload

 -- Richard Laager <rlaager@debian.org>  Thu, 04 Feb 2021 02:07:49 -0600

libgnt (2.14.0-1) unstable; urgency=medium

  * Initial release (Closes: 949977)
    Thanks to Gary Kramlich for packaging work (done upstream).
    Thanks to Harlan Lieberman-Berg for packaging review for Gary.

 -- Richard Laager <rlaager@debian.org>  Fri, 22 Jan 2021 23:51:01 -0600

=== debian/control ===
Source: libgnt
Section: libs
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Richard Laager <rlaager@debian.org>
Build-Depends: debhelper-compat (= 12),
               gtk-doc-tools,
               libglib2.0-dev,
               libncurses-dev,
               meson (>= 0.41.0)
Homepage: https://keep.imfreedom.org/libgnt/libgnt
Vcs-Browser: https://salsa.debian.org/debian/libgnt
Vcs-Git: https://salsa.debian.org/debian/libgnt.git
Rules-Requires-Root: no
Standards-Version: 4.5.1

Package: libgnt0
Architecture: any
Depends: libglib2.0-0 (>= 2.16.0),
         libncursesw6,
         libxml2,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: finch (<< 2.14.1)
Replaces: finch (<< 2.14.1)
Description: ncurses toolkit for creating text-mode graphical user interfaces
 GNT is an ncurses toolkit for creating text-mode graphical user interfaces in
 a fast and easy way. It is based on GLib and ncurses.
 .
 It was born out of the console-based UI, Finch, for the libpurple project.
 .
 This package contains the main library.

Package: libgnt-dev
Architecture: any
Section: libdevel
Depends: libglib2.0-dev, libgnt0 (= ${binary:Version}), ${misc:Depends}
Suggests: libgnt-doc
Breaks: finch-dev (<< 2.14.1)
Replaces: finch-dev (<< 2.14.1)
Description: development files for the gnt library
 GNT is an ncurses toolkit for creating text-mode graphical user interfaces in
 a fast and easy way. It is based on GLib and ncurses.
 .
 It was born out of the console-based UI, Finch, for the libpurple project.
 .
 This package contains the include files used for development against libgnt.

Package: libgnt-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: documentation for the gnt library
 GNT is an ncurses toolkit for creating text-mode graphical user interfaces in
 a fast and easy way. It is based on GLib and ncurses.
 .
 It was born out of the console-based UI, Finch, for the libpurple project.
 .
 This package contains the HTML documentation.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

%:
	dh $@

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## libgnt 2.14.3

=== debian/changelog ===
libgnt (2.14.3-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints.
    - libgnt0: Add Multi-Arch: same.
    - libgnt-doc: Add Multi-Arch: foreign.

 -- Richard Laager <rlaager@debian.org>  Thu, 13 Oct 2022 23:23:18 -0500

libgnt (2.14.3-1) unstable; urgency=medium

  * New upstream version 2.14.3
    - Drop doc patch merged (with changes) upstream
    - Disable Python2

 -- Richard Laager <rlaager@debian.org>  Mon, 04 Oct 2021 23:57:09 -0500

libgnt (2.14.2-1) unstable; urgency=medium

  [ Richard Laager ]
  * Fix documentation dependencies (Closes: 988819)
  * README.source: Remove inaccurate text
  * New upstream version 2.14.2
    - Fix a SEGFAULT in gnt_combo_box_get_dropdown. (RR #793) (ivanhoe)
    - Fix an invalid read/write when hiding widgets. (RR #810) (ivanhoe)
    - Look for python-2.7.pc as well as python2.pc. (RR #822) (Gary Kramlich)

  [ Helmut Grohne ]
  * Fix FTCBFS: Skip gtkdoc in arch-only build. (Closes: 994674)

 -- Richard Laager <rlaager@debian.org>  Sat, 25 Sep 2021 16:33:50 -0500

=== debian/control ===
Source: libgnt
Section: libs
Priority: optional
Maintainer: Richard Laager <rlaager@debian.org>
Build-Depends: debhelper-compat (= 13),
               libglib2.0-dev,
               libglib2.0-doc,
               libncurses-dev,
               meson (>= 0.41.0),
Build-Depends-Indep: gtk-doc-tools,
Homepage: https://keep.imfreedom.org/libgnt/libgnt
Vcs-Browser: https://salsa.debian.org/debian/libgnt
Vcs-Git: https://salsa.debian.org/debian/libgnt.git
Rules-Requires-Root: no
Standards-Version: 4.5.1

Package: libgnt0
Architecture: any
Depends: libglib2.0-0 (>= 2.16.0),
         libncursesw6,
         libxml2,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: finch (<< 2.14.1),
Replaces: finch (<< 2.14.1),
Multi-Arch: same
Description: ncurses toolkit for creating text-mode graphical user interfaces
 GNT is an ncurses toolkit for creating text-mode graphical user interfaces in
 a fast and easy way. It is based on GLib and ncurses.
 .
 It was born out of the console-based UI, Finch, for the libpurple project.
 .
 This package contains the main library.

Package: libgnt-dev
Architecture: any
Section: libdevel
Depends: libglib2.0-dev,
         libgnt0 (= ${binary:Version}),
         ${misc:Depends},
Suggests: libgnt-doc,
Breaks: finch-dev (<< 2.14.1),
Replaces: finch-dev (<< 2.14.1),
Description: development files for the gnt library
 GNT is an ncurses toolkit for creating text-mode graphical user interfaces in
 a fast and easy way. It is based on GLib and ncurses.
 .
 It was born out of the console-based UI, Finch, for the libpurple project.
 .
 This package contains the include files used for development against libgnt.

Package: libgnt-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
Recommends: libglib2.0-doc,
Multi-Arch: foreign
Description: documentation for the gnt library
 GNT is an ncurses toolkit for creating text-mode graphical user interfaces in
 a fast and easy way. It is based on GLib and ncurses.
 .
 It was born out of the console-based UI, Finch, for the libpurple project.
 .
 This package contains the HTML documentation.

## libgnt 2.14.4

=== debian/changelog ===
libgnt (2.14.4-1.2build2) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 20 May 2025 12:19:34 +0200

libgnt (2.14.4-1.2build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:59:40 +0000

libgnt (2.14.4-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop runtime dependencies (Closes: #1066903)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 15 Mar 2024 09:59:05 +0100

libgnt (2.14.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062317

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 12:24:12 +0000

libgnt (2.14.4-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since bookworm

  [ Richard Laager ]
  * watch: Allow -dev suffix
  * New upstream version 2.14.4
    - Use panel_window instead of directly accessing the window pointer
      on panels. (Closes: 1057570)

 -- Richard Laager <rlaager@debian.org>  Sun, 24 Dec 2023 14:44:51 -0600

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: libgnt
 Section: libs
 Priority: optional
-Maintainer: Richard Laager <rlaager@debian.org>
-Build-Depends: debhelper-compat (= 13),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Richard Laager <rlaager@debian.org>
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
                libglib2.0-dev,
                libglib2.0-doc,
                libncurses-dev,
-               meson (>= 0.41.0),
+               libxml2-dev,
+               meson,
 Build-Depends-Indep: gtk-doc-tools,
 Homepage: https://keep.imfreedom.org/libgnt/libgnt
 Vcs-Browser: https://salsa.debian.org/debian/libgnt
@@ -14,15 +16,13 @@
 Rules-Requires-Root: no
 Standards-Version: 4.5.1
 
-Package: libgnt0
+Package: libgnt0t64
+Provides: ${t64:Provides}
 Architecture: any
-Depends: libglib2.0-0 (>= 2.16.0),
-         libncursesw6,
-         libxml2,
-         ${misc:Depends},
+Depends: ${misc:Depends},
          ${shlibs:Depends},
-Breaks: finch (<< 2.14.1),
-Replaces: finch (<< 2.14.1),
+Breaks: libgnt0 (<< ${source:Version}), finch (<< 2.14.1),
+Replaces: libgnt0, finch (<< 2.14.1),
 Multi-Arch: same
 Description: ncurses toolkit for creating text-mode graphical user interfaces
  GNT is an ncurses toolkit for creating text-mode graphical user interfaces in
@@ -36,7 +36,7 @@
 Architecture: any
 Section: libdevel
 Depends: libglib2.0-dev,
-         libgnt0 (= ${binary:Version}),
+         libgnt0t64 (= ${binary:Version}),
          ${misc:Depends},
 Suggests: libgnt-doc,
 Breaks: finch-dev (<< 2.14.1),

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

override_dh_auto_configure:
	dh_auto_configure -- -Ddoc=$(if $(filter libgnt-doc,$(shell dh_listpackages)),true,false) -Dpython2=false

%:
	dh $@

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
    https://sf.net/pidgin/libgnt-([\d.]+)(-dev)?\.tar\.xz
